.ts_btns {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 30px;
}
@media screen and (min-width: 768px) {
  .ts_btns__2 {
    grid-template-columns: repeat(2, 1fr);
  }
  .ts_btns__3 {
    grid-template-columns: repeat(3, 1fr);
  }
}
.ts_btns__mt {
  margin-top: 30px;
}
.ts_btns-item {
  display: flex;
}
.ts_btns-item > .ts_btn {
  width: 100%;
}
.ts_btns-item:has(.use-ajax) .ajax-progress-throbber {
  display: none !important;
}

.ts_btn {
  --ts_btn-theme: #666666;
  --ts_btn-hover: #333333;
  --ts_btn-press: #000000;
  --ts_btn-blank-theme: rgba(255, 255, 255, 0);
  --ts_btn-py: 11.5px;
  --ts_btn-px: 40px;
  --ts_btn-fs: 15px;
  --ts_btn-bw: 1px;
  height: calc(var(--ts_btn-bw) * 2 + var(--ts_btn-py) * 2 + var(--ts_btn-fs));
  padding: var(--ts_btn-py) var(--ts_btn-px);
  display: inline-flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  font-family: "Montserrat", serif;
  font-size: var(--ts_btn-fs);
  font-weight: 500;
  line-height: 1;
  letter-spacing: 0;
  white-space: nowrap;
  text-align: center;
  text-decoration: none !important;
  color: var(--ts_btn-txt, #000) !important;
  border-radius: 1000px;
  border-width: var(--ts_btn-bw);
  border-style: solid;
  transition: border-color 0.3s linear, background-color 0.3s linear, color 0.3s linear !important;
  user-select: none;
  -webkit-user-select: none;
  --ts_btn-color: #ffffff;
  --ts_btn-blank-color: var(--ts_btn-theme);
  --ts_btn-dsbld-clr: #757575;
  --ts_btn-dsbld-bg: #EEEEEE;
}
@media screen and (min-width: 992px) {
  .ts_btn {
    --ts_btn-px: 24px ;
  }
}
@media screen and (min-width: 1200px) {
  .ts_btn {
    --ts_btn-px: 32px ;
  }
}
@media screen and (min-width: 1600px) {
  .ts_btn {
    --ts_btn-px: 40px ;
  }
}
.ts_btn-icon {
  fill: var(--ts_btn-txt, #000);
}
.ts_btn-icon:not([width]) {
  width: 16px;
  height: 16px;
}
.ts_btn-icon__before {
  margin-right: 8px;
}
.ts_btn-icon__after {
  margin-left: 4px;
}
.ts_btn__icon {
  margin-right: 8px;
}
.ts_btn__icon .svg-fill {
  fill: var(--ts_btn-txt, #000) !important;
  transition: fill 0.3s linear !important;
}
.ts_btn__icon .svg-stroke {
  stroke: var(--ts_btn-txt, #000) !important;
  transition: stroke 0.3s linear !important;
}
.ts_btn__sm {
  --ts_btn-py: 8px;
  --ts_btn-px: 16px;
  --ts_btn-fs: 14px;
}
.ts_btn__lg {
  --ts_btn-fs: 18px;
  --ts_btn-py: 16px;
}
.ts_btn__theme-black {
  --ts_btn-theme: #181818;
  --ts_btn-hover: #282828;
  --ts_btn-press: #383838;
  --ts_btn-blank-hover: #EEEEEE;
  --ts_btn-blank-press: #E8E8E8;
}
.ts_btn__theme-white {
  --ts_btn-theme: rgba(255, 255, 255, 0.92);
  --ts_btn-hover: rgba(255, 255, 255, 0.97);
  --ts_btn-press: rgba(255, 255, 255, 1);
  --ts_btn-blank-hover: rgba(255, 255, 255, 0.15);
  --ts_btn-blank-press: rgba(255, 255, 255, 0.2);
  --ts_btn-color: #181818;
}
.ts_btn__theme-dark {
  --ts_btn-theme: #0D2E4E;
  --ts_btn-hover: #071D35;
  --ts_btn-press: #031225;
  --ts_btn-blank-hover: #EEEEEE;
  --ts_btn-blank-press: #D3D9DF;
}
.ts_btn__theme-orange {
  --ts_btn-theme: #FF4013;
  --ts_btn-hover: #FF2A0B;
  --ts_btn-press: #FF1C06;
  --ts_btn-blank-hover: #FFE8E3;
  --ts_btn-blank-press: #FFD6CC;
}
.ts_btn__theme-blue {
  --ts_btn-theme: #004FD6;
  --ts_btn-hover: #0036C6;
  --ts_btn-press: #0026BC;
  --ts_btn-blank-hover: #E0EAFA;
  --ts_btn-blank-press: #D3E0F8;
}
.ts_btn__theme-white_orange {
  --ts_btn-theme: rgba(255, 255, 255, 0.92);
  --ts_btn-hover: rgba(255, 255, 255, 0.97);
  --ts_btn-press: white;
  --ts_btn-color: #FF4013;
  --ts_btn-blank-hover: rgba(255, 255, 255, 0.15);
  --ts_btn-blank-press: rgba(255, 255, 255, 0.2);
  --ts_btn-blank-color: #fff;
  --ts_btn-dsbld-clr: rgba(255, 255, 255, 0.75);
  --ts_btn-dsbld-bg: rgba(255, 255, 255, 0.25);
}
.ts_btn:not(.ts_btn__outline):not(.ts_btn__empty):not(.ts_btn__disabled) {
  --ts_btn-bg: var(--ts_btn-theme);
  --ts_btn-txt: var(--ts_btn-color);
  background-color: var(--ts_btn-bg);
  border-color: var(--ts_btn-bg);
}
.ts_btn:not(.ts_btn__outline):not(.ts_btn__empty):not(.ts_btn__disabled):hover {
  --ts_btn-bg: var(--ts_btn-hover) ;
}
.ts_btn:not(.ts_btn__outline):not(.ts_btn__empty):not(.ts_btn__disabled):active {
  --ts_btn-bg: var(--ts_btn-press) ;
}
.ts_btn__outline:not(.ts_btn__disabled), .ts_btn__empty:not(.ts_btn__disabled) {
  --ts_btn-bg: var(--ts_btn-blank-theme);
  --ts_btn-txt: var(--ts_btn-blank-color);
  background-color: var(--ts_btn-bg);
}
.ts_btn__outline:not(.ts_btn__disabled):hover, .ts_btn__empty:not(.ts_btn__disabled):hover {
  --ts_btn-bg: var(--ts_btn-blank-hover) ;
}
.ts_btn__outline:not(.ts_btn__disabled):active, .ts_btn__empty:not(.ts_btn__disabled):active {
  --ts_btn-bg: var(--ts_btn-blank-press) ;
}
.ts_btn__outline:not(.ts_btn__disabled) {
  border-color: var(--ts_btn-theme);
}
.ts_btn__empty:not(.ts_btn__disabled) {
  border-color: var(--ts_btn-bg);
}
.ts_btn__disabled {
  --ts_btn-txt: var(--ts_btn-dsbld-clr);
  background-color: var(--ts_btn-dsbld-bg);
  border-color: var(--ts_btn-dsbld-bg);
  cursor: default;
}
